View Issue Details

IDProjectCategoryView StatusLast Update
0003950Far ManagerSetAttrpublic2022-07-18 17:51
ReporterAndys Assigned ToDrKnS  
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionreopened 
Platformx64OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0003950: Ошибка 534 при изменении атрибутов папки на сетевой шаре
DescriptionПри изменении атрибуток папки на сетевой шаре, выдает ошибку:
0x00000534 - No mapping between account names and security IDs was done.
Если скипнуть ошибку, то сами атрибуты корректно меняются

На старой версии Far, где ещё не было Owner'а в атрибутах, ошибки нет
При изменении атрибутов файлов (не папок) ошибки нет

Пробовал на текущей 5959 х64, и на ночной 5986 х64
Steps To Reproduce1. Вхожу на шару \\aasmall\e
2. Создаю папку 1 в корне диска
3. Открываю свойства (Ctrl+A) - owner показывается AASMALL\Andys (AASMALL - удаленный комп)
4. Включаю скрытый атрибут, применяю
5. Выдается ошибка что 0x00000534 - No mapping between account names and security IDs was done.
(предполагаю что потому, что он на моем локальном ПК ищет некоего AASMALL\Andys, которого локально не существует)
6. При скипе ошибки атрибуты прописываются нормально

То же самое проходит без ошибки, если я создам *файл* \\aasmall\e\1\1.txt и изменю его атрибуты
Additional InformationДля понимания настройки шары - aasmall это удаленный комп, на обоих ПК один и тот же локальный пользователь Andys, c одним и тем же паролем - так винда считает что это один и тот же пользователь и не требует специально подключать шару с паролем
Домена естественно никакого нет, это все домашняя сеть
TagsNo tags attached.
Build5987

Activities

Andys

2022-06-26 06:31

reporter  

Capture1.PNG (47,163 bytes)   
Capture1.PNG (47,163 bytes)   
Capture2.PNG (26,158 bytes)   
Capture2.PNG (26,158 bytes)   

Andys

2022-07-18 17:51

reporter   bugnote:0017342

Добрый день!
Все ещё есть ошибка в 3.0.5998.0 x64
По ходу дела, нашел ещё что та же ошибка возникает при выделении нескольких файлов на сетевой шаре и применении атрибутов к ним.

Issue History

Date Modified Username Field Change
2022-06-26 06:31 Andys New Issue
2022-06-26 06:31 Andys File Added: Capture1.PNG
2022-06-26 06:31 Andys File Added: Capture2.PNG
2022-06-29 09:08 DrKnS Assigned To => DrKnS
2022-06-29 09:08 DrKnS Status new => closed
2022-06-29 09:08 DrKnS Resolution open => fixed
2022-06-29 09:08 DrKnS Fixed in Version => 3.0
2022-06-29 09:08 DrKnS Build => 5987
2022-07-18 17:51 Andys Status closed => feedback
2022-07-18 17:51 Andys Resolution fixed => reopened
2022-07-18 17:51 Andys Note Added: 0017342